#ifndef HALIDETRANSFORMCPU_H
#define HALIDETRANSFORMCPU_H

#include <QtCore/QObject>
#include "halide_transform_worker.h"

class HalideTransformCpu : public HalideTransformWorker
{
    Q_OBJECT

public:
    explicit HalideTransformCpu(HalideTransform* transform);
    ~HalideTransformCpu();

    virtual QSharedPointer<HalideImageData> prepareOutputData(QSharedPointer<HalideImageData> oldOutputData, QSize outputSize);
};

#endif // HALIDETRANSFORMCPU_H

