import QtQuick 2.4
import Ubuntu.Components 1.2

AbstractButton {
    id: button
    implicitWidth: units.gu(10)
    implicitHeight: units.gu(5)

    property alias backgroundColor: shape.backgroundColor

    UbuntuShape {
        id: shape
        anchors.fill: parent
        radius: "medium"
        backgroundColor: button.pressed ? Qt.rgba(1, 1, 1, 0.15) : Qt.rgba(1, 1, 1, 0.05)
    }

    Label {
        id: label
        text: button.text
        color: "white"
        anchors.centerIn: parent
    }
}
