#include "test_helper.h"

#include <QtCore/QStandardPaths>
#include <QtCore/QFileInfo>
#include <QtCore/QFile>

TestHelper::TestHelper(QObject *parent) :
    QObject(parent)
{
}

QString TestHelper::saveLocation() const
{
    return QStandardPaths::writableLocation(QStandardPaths::PicturesLocation);
}

bool TestHelper::deleteFile(QString path)
{
    return QFile::remove(path);
}
