#ifndef TEST_HELPER_H
#define TEST_HELPER_H

#include <QtCore/QObject>

class TestHelper : public QObject
{
    Q_OBJECT

    Q_PROPERTY(QString saveLocation READ saveLocation NOTIFY saveLocationChanged)

public:
    explicit TestHelper(QObject *parent = 0);
    QString saveLocation() const;

    Q_INVOKABLE bool deleteFile(QString path);

Q_SIGNALS:
    void saveLocationChanged();
};

#endif // TEST_HELPER_H
